# KeyPass

![](https://img.shields.io/github/v/release/yogeshpaliyal/KeyPass?style=for-the-badge)
[![](https://img.shields.io/f-droid/v/com.yogeshpaliyal.keypass?style=for-the-badge)](https://f-droid.org/en/packages/com.yogeshpaliyal.keypass)
[![](https://img.shields.io/badge/Part%20of-DevLibrary-9cf?color=4285F4&logoColor=4285F4&logo=google&style=for-the-badge)](https://devlibrary.withgoogle.com/products/android/repos/yogeshpaliyal-KeyPass)
[![](https://dcbadge.limes.pink/api/server/https://discord.com/invite/vfcrdVqwee)](https://discord.gg/vfcrdVqwee)
[![](https://img.shields.io/badge/Master-master?color=7885FF&label=Sample%20App&logo=android&style=for-the-badge)](https://github.com/yogeshpaliyal/KeyPass/releases/download/latest-master/app-free-debug.apk)
[![](https://img.shields.io/badge/App%20Size-Report-9cf?color=f39c12&style=for-the-badge)](https://raw.githack.com/yogeshpaliyal/KeyPass/reports/ruler/freeRelease/report.html)
![](https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2Fyogeshpaliyal%2FKeyPass&count_bg=%2379C83D&title_bg=%23555555&title=hits&style=for-the-badge)

![](cover.png)


> The modern password manager does not store your credentials on servers so your passwords are in your hands, no need to worry.

> Disclaimer: Please take a backup before updating to the new app.

<div style="display: inline-block"  align="center">

<img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png?raw=true" width="19%"/><img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png?raw=true" width="19%"/><img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png?raw=true" width="19%"/><img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/4.png?raw=true" width="19%"/><img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/5.png?raw=true" width="19%"/>
</div>

<a href="./README_ja.md">Japanese</a> 👈

## Suggest new name for KeyPass
Looking for new name for keypass, suggest your name or vote on discussion thread.  
https://github.com/yogeshpaliyal/KeyPass/discussions/1085


## 🤩 Features
- [x] Complete Offline: No internet permission has been added
- [x] Open Source: Code is accessible to everyone
- [x] Encrypted Backup and Restore
- [x] Dark Mode Support
- [x] Material Design 3
- [x] Screenshot Blocked
- [x] Authenticate with device credentials (pin, pattern, biometrics)
- [x] Auto Backup
- [x] TOTP
- [x] Jetpack Compose
- [x] Autofill Service
#### Import From
- [x] Google Chrome CSV
- [x] KeePass CSV
- [ ] BitWarden
#### Export for
- [ ] Google Chrome
- [ ] KeePass
- [ ] BitWarden

## 🛠️ Language, Tools & Frameworks Used
1. Kotlin
2. Cipher (For Backup encryption and decryption)
3. Material Design 3
4. MVI architecture
5. LiveData & MutableLiveData
6. Room Database
7. Hilt (Dependency Injection)
8. Jetpack Data Store Preference

## 🧰 Prerequisites
| Tool           | Version          |
|----------------|------------------|
| Android Studio | Ladybug Feature Drop 2024.2.2 |
| Java           | 17               |

## ✍️ Author

👤 **Yogesh Choudhary Paliyal**

* Twitter: <a href="https://twitter.com/yogeshpaliyal" target="_blank">@yogeshpaliyal</a>
* Email: yogeshpaliyal.foss@gmail.com

Feel free to ping me 😉

## 🤝 Contributing

Contributions are what make the open-source community such an amazing place to learn, inspire, and create. Any
contributions you make are **greatly appreciated**.

1. Open an issue first to discuss what you would like to change.
1. Fork the Project
1. Create your feature branch (`git checkout -b feature/amazing-feature`)
1. Commit your changes (`git commit -m 'Add some amazing feature'`)
1. Push to the branch (`git push origin feature/amazing-feature`)
1. Open a pull request

Please make sure to update tests as appropriate.

## ❤ Show your support

Give a ⭐️ if this project helped you!

<a href="https://www.patreon.com/yogeshpaliyal">
  <img alt="Patron Link" src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="160"/>
</a>

<a href="https://www.buymeacoffee.com/yogeshpaliyal" target="_blank">
    <img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" width="160">
</a>

<a href="https://www.paypal.me/yogeshpaliyal" target="_blank">
    <img src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" alt="Donation" width="160">
</a>

## Repo Activity
![Alt](https://repobeats.axiom.co/api/embed/3626f3a4e8216b8f5e008b9800eafbe6e8d66f30.svg "Repobeats analytics image")

## Language
[![Translation status](https://hosted.weblate.org/widgets/keypass/-/keypass/horizontal-auto.svg)](https://hosted.weblate.org/engage/keypass/)    
Want to contribute to translations? [Contribute](https://hosted.weblate.org/projects/keypass/keypass/)

## Featured
KeyPass has been featured in various platforms like Youtube, Blogs, and Twitter threads. For more details, check out the [featured.md](./featured.md) file.

## Download Links
<a href='https://play.google.com/store/apps/details?id=com.yogeshpaliyal.keypass'><img align='center' height='55' src='./icons/google_play_badge.png'></a>
<a href='https://f-droid.org/en/packages/com.yogeshpaliyal.keypass/'><img align='center' alt='Get it on F-Droid' src='./icons/fdroid_badge.png' height="55"/></a>
<a href='https://indusapp.store/ek1z9km0'><img alt='Get it on Indus Appstore' src='https://docstore.indusappstore.com/public/external/developerdashboard-static/badge-black-full-color-english.png' height="55"/></a>

## 📝 License

```
MIT License

Copyright (c) 2021 Yogesh Choudhary Paliyal

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```

_This README was generated by [readgen](https://github.com/theapache64/readgen)_ ❤
