![](cover.jpeg)

<div style="display: inline-block"  align="center">
<h1>KeyPass</h1>
<p>
<img src="https://img.shields.io/github/v/release/yogeshpaliyal/KeyPass?style=for-the-badge" alt="latestVersion">
  <a href="https://f-droid.org/en/packages/com.yogeshpaliyal.keypass">
<img src="https://img.shields.io/f-droid/v/com.yogeshpaliyal.keypass?style=for-the-badge" />
</a>
<br />
<a href="https://devlibrary.withgoogle.com/products/android/repos/yogeshpaliyal-KeyPass">
<img src="https://img.shields.io/badge/Part%20of-DevLibrary-9cf?color=4285F4&logoColor=4285F4&logo=google&style=for-the-badge" alt="DevLibrary">
</a>


 <a href="https://github.com/yogeshpaliyal/KeyPass/releases/download/latest-master/app-staging-debug.apk">
<img src="https://img.shields.io/badge/Master-master?color=7885FF&label=Sample%20App&logo=android&style=for-the-badge" alt="Master Sample App">
</a>

<a href="https://raw.githack.com/yogeshpaliyal/KeyPass/reports/ruler/productionRelease/report.html">
<img src="https://img.shields.io/badge/App%20Size-Report-9cf?color=f39c12&style=for-the-badge" alt="DevLibrary">
</a>
<br />

<img src="https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2Fyogeshpaliyal%2FKeyPass&count_bg=%2379C83D&title_bg=%23555555&title=hits&style=for-the-badge%22" alt="visitCount">
</p>
</div>


> このアプリは、最新のパスワードマネージャーです。
パスワードは端末上に保存され、認証情報がサーバーに共有されないので、漏洩の心配がありません。


<div style="display: inline-block"  align="center">

<img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png?raw=true" width="19%"/><img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png?raw=true" width="19%"/><img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png?raw=true" width="19%"/><img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/4.png?raw=true" width="19%"/><img src ="https://github.com/yogeshpaliyal/KeyPass/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/5.png?raw=true" width="19%"/>
</div>


## 🤩 機能
- [x] オフラインで完結 : アプリに通信の権限が追加されていません
- [x] オープンソース : コードは誰でも閲覧可能です
- [x] 暗号化されたバックアップと、バックアップからの復元
- [x] ダークモードのサポート
- [x] Material Design 3の準拠
- [x] スクリーンショットの禁止
- [x] デバイスの認証情報（PIN、パターン、生体認証）を使用して認証
- [x] 自動バックアップ
- [x] TOTP
- [x] Jetpack Compose

## 🛠️ 使用している言語、ツール、フレームワーク
1. Kotlin
2. Cipher (For Backup encryption and decryption)
3. Material Design 3
4. MVI architecture
5. LiveData & MutableLiveData
6. Room Database
7. Hilt (Dependency Injection)
8. Jetpack Data Store Preference


## 🧰 前提条件
| Tool           | Version          |
|----------------|------------------|
| Android Studio | Koala (2024.1.1) |
| Java           | 17               |


## ✍️ 作者

👤 **Yogesh Choudhary Paliyal**

* Twitter: <a href="https://twitter.com/yogeshpaliyal" target="_blank">@yogeshpaliyal</a>
* Email: yogeshpaliyal.foss@gmail.com

お気軽にお声がけください 😉

## 🤝 コントリビュート

コントリビュートは、オープンソースコミュニティを、より創造的な素晴らしい場にしてくれます。
どんなコントリビュートでも**歓迎しています。**

1. 初めに、変更内容について議論するために、まずISSUEをオープンしてください。
1. プロジェクトをフォークしてください。
1. Featureブランチを作成します。 (`git checkout -b feature/amazing-feature`)
1. 変更をコミットします。 (`git commit -m 'Add some amazing feature'`)
1. 変更をプッシュしてください。 (`git push origin feature/amazing-feature`)
1. プルリクエストをオープンしてください。

テストを適切な状態に更新することを、お忘れなく。

## ❤ 援助

もしこのプロジェクトが役に立った場合は ⭐️ をお願いします！

<a href="https://www.patreon.com/yogeshpaliyal">
  <img alt="Patron Link" src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="160"/>
</a>

<a href="https://www.buymeacoffee.com/yogeshpaliyal" target="_blank">
    <img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" width="160">
</a>

<a href="https://www.paypal.me/yogeshpaliyal" target="_blank">
    <img src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" alt="Donation" width="160">
</a>

## 言語
[![Translation status](https://hosted.weblate.org/widgets/keypass/-/keypass/horizontal-auto.svg)](https://hosted.weblate.org/engage/keypass/)    
翻訳に貢献したい場合は、こちらのリンクをチェックしてください。 [コントリビュート](https://hosted.weblate.org/projects/keypass/keypass/)

## ダウンロードはこちらから
<a href='https://play.google.com/store/apps/details?id=com.yogeshpaliyal.keypass'><img align='center' height='55' src='./icons/google_play_badge.png'></a>
<a href='https://f-droid.org/en/packages/com.yogeshpaliyal.keypass/'><img align='center' alt='Get it on F-Droid' src='./icons/fdroid_badge.png' height="55"/></a>

## 📝 License

```
MIT License

Copyright (c) 2021 Yogesh Choudhary Paliyal

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```

_This README was generated by [readgen](https://github.com/theapache64/readgen)_ ❤
